package de.grogra.c4d;

import de.grogra.xl.query.AttributeListPattern;

public class F extends XLObject
{
	public static class Pattern extends AttributeListPattern
	{
		public Pattern()
		{
			super(null, 1);
		}

		public static void signature (@In @Out F n, double a)
		{
		}

		@Override
		protected double getDouble(Object o, int index)
		{
			return ((F) o).getLength();
		}
	}

	public F(double len)
	{
		this(len, 10);
	}

	public F(double len, double rad)
	{
		super("Cylinder", len, rad);
	}
}
